Package org.springframework.security.authentication.ott.reactive

# Class OneTimeTokenReactiveAuthenticationManager

java.lang.Object
org.springframework.security.authentication.ott.reactive.OneTimeTokenReactiveAuthenticationManager

All Implemented Interfaces:
  `ReactiveAuthenticationManager`

public final class OneTimeTokenReactiveAuthenticationManager extends Object implements ReactiveAuthenticationManager
A `ReactiveAuthenticationManager` for one time tokens.

Since:
  6.4

## Constructor Summary

Constructors
Constructor
Description
`OneTimeTokenReactiveAuthenticationManager(ReactiveOneTimeTokenService oneTimeTokenService, ReactiveUserDetailsService userDetailsService)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Authentication>`
`authenticate(Authentication authentication)`
Attempts to authenticate the provided `Authentication`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OneTimeTokenReactiveAuthenticationManager

public OneTimeTokenReactiveAuthenticationManager(ReactiveOneTimeTokenService oneTimeTokenService, ReactiveUserDetailsService userDetailsService)

## Method Details

### authenticate

public reactor.core.publisher.Mono<Authentication> authenticate(Authentication authentication)
Description copied from interface: `ReactiveAuthenticationManager`
Attempts to authenticate the provided `Authentication`

Specified by:
  `authenticate` in interface `ReactiveAuthenticationManager`
Parameters:
  `authentication` - the `Authentication` to test
Returns:
  if authentication is successful an `Authentication` is returned. If authentication cannot be determined, an empty Mono is returned. If authentication fails, a Mono error is returned.